@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;700&display=swap');
body {
  margin:0;
  font-family: "Roboto", "sans-serif";
  background-image: url(../img/Subtle-Stripes.svg);
}
.container {
  max-width: 1200px;
  margin: 0 auto;            
}

/*---------------------------------------*/
/*-----------------Nav-------------------*/
/*---------------------------------------*/

nav {
  max-width: 100%;
  background:hsl(0, 50%, 5%);
  z-index: 2;
}
nav ul {
  list-style-type:none;
  display: block;
  width: 100%;
  padding: 0;
  margin:0;
}
nav a {
  color:hsl(39, 100%, 59%);
  width: 100%;
  display: inline-block;
  text-decoration: none;
  text-align: center;
  padding-top: 0.5rem;
  padding-bottom: 0.5rem;
  transition: 0.5s;
}
nav a:hover {
  background-color: hsl(0, 0%, 15%);
}
nav a:active {
  background-color: hsl(0, 0%, 25%);
  transition: none;
}
nav li {
  width: 100%;
  display: flex;
  flex-grow:1;
}
nav li:nth-last-of-type(1) a{
  width: auto;
  padding-left: 0.5rem;
  padding-right: 0.5rem;
}
nav li:nth-last-of-type(1) {
  text-align: center;
  flex-grow: 0;
  display: block;
}

/*---------------------------------------*/
/*---------------Header------------------*/
/*---------------------------------------*/

header {
  background-image: url(../img/header.jpg);
  background-size: cover;
  background-position: center 75%;
  min-height: 20vw;
  padding:1rem;
}
header h1,
header h2 {
  padding: 1rem;
  text-align: center;
}
header h1 {
  color: hsl(38, 100%, 95%);
  font-weight: lighter;
  font-size: 1.5rem;
}
header h2 {
  color: hsl(39, 100%, 59%);
  font-size: 1rem;
}
.slogan {
  background-color: hsla(0, 0%, 0%, 0.5);
  display: inline-block;
  font-size: 1rem;
}
/*---------------------------------------*/
/*----------------Main-------------------*/
/*---------------------------------------*/
main hr {
    margin-bottom: 1rem;
  }
  article {
    background-color: white;
    margin: 0 0.5rem 1rem 0.5rem;
    padding: 0 1rem 2rem 1rem;
    border-radius: 5px;
    border: 1.5px solid hsl(0, 5%, 85%);
  }
  article button {
    background-color: hsl(0, 50%, 5%);
    color: hsl(39, 100%, 59%);
    border-radius: 25px;
    padding: 0.75rem 1.25rem;
    border-color: hsl(0, 50%, 5%);
    cursor: pointer;
    transition: 0.5s;
  }
  article button:hover {
    background-color: hsl(0, 0%, 15%);
    border-color: hsl(0, 0%, 15%);
  }
  article button:active {
    background-color: hsl(0, 0%, 25%);
    border-color: hsl(0, 0%, 25%);
    transition: none;
  }
  article h1 {
    font-weight: lighter;
    text-align: center;
    font-size: 2rem;
  }
  article img {
    width: 100%;
    margin-top: 1rem;
    transition: 0.5s ease-in-out;
  }
  article img:hover {
    transform: scale(1.1);
  }
  .date {
    color: hsl(0, 5%, 70%);
    font-weight: bold;
    font-style: italic;
  }
  /*---------------------------------------*/
  /*----------------Footer-----------------*/
  /*---------------------------------------*/
  footer {
  background-color: hsl(0, 50%, 5%);
  color:hsl(39, 100%, 59%);
  text-align: center;
}
footer p {
  margin-top: 0;
  padding-top: 2rem;
  padding-bottom: 2rem;
}
footer .small {
  margin-bottom: 0;
  font-size: 0.8em;
  padding-top: 0;
}
/*---------------------------------------*/
/*-----------------Media-----------------*/
/*---------------------------------------*/
@media screen and (min-width: 768px) {
  nav {
    position: sticky;
    top:0;
  }
  nav .container{
    display: flex;
    align-items: center;
  }
  nav a {
    padding-top: 1rem;
    padding-bottom: 1rem;
  }
  nav i {
    font-size: 1.5rem;
  }
  header h1 {
    font-size: 1.8rem;
  }
  header h2 {
    font-size: 1.3rem;
  }
  main .container {
    display: flex;
    flex-wrap: wrap;
  }
  main article {
    max-width: 40%;
  }
}
@media screen and (min-width: 1024px) {
 main article {
  max-width: 25%;
 }
}
@media screen and (min-width: 1440px) {
 main article {
  max-width: 20%;
 }
 header h1 {
  font-size: 2rem;
}
header h2 {
  font-size: 1.5rem;
}
}